package com.ejie.ab63.model;

import java.math.BigDecimal;
import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * Ab6326s00  
 * 
 *  
 */

public class AseoAlojamiento implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idAseoAlo;
	private Alojamiento alojamiento;
	private TipoAseo tipoAseo;
	private BigDecimal numSuperficie;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;
	private String descTipoAseo;
	private Long numAseoAlojamiento;

	/**
	 * Method 'Ab6326s00'.
	 */
	public AseoAlojamiento() {
	}

	/**
	 * Method 'Ab6326s00'.
	 * 
	 * @param idAseoAlo
	 *            Integer
	 */
	public AseoAlojamiento(Integer idAseoAlo) {
		this.idAseoAlo = idAseoAlo;
	}

	/**
	 * Method 'Ab6326s00'.
	 * 
	 * @param idAseoAlo
	 *            Integer
	 * @param numSuperficie
	 *            BigDecimal
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 * @param ab6323s00
	 *            Ab6323s00
	 * @param ab6316s00
	 *            Ab6316s00
	 */
	public AseoAlojamiento(Integer idAseoAlo, BigDecimal numSuperficie, Date fechaRegistro, String usuarioRegistro,
			Date fechaUltmodificacion, String usuarioUltmodificacion, Long numAseoAlojamiento, Alojamiento ab6323s00,
			TipoAseo ab6316s00) {

		this.idAseoAlo = idAseoAlo;
		this.alojamiento = ab6323s00;
		this.tipoAseo = ab6316s00;
		this.numSuperficie = numSuperficie;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
		this.numAseoAlojamiento = numAseoAlojamiento;
	}

	/**
	 * Method 'getIdAseoAlo'.
	 *
	 * @return Integer
	 */

	public Integer getIdAseoAlo() {
		return this.idAseoAlo;
	}

	/**
	 * Method 'setIdAseoAlo'.
	 *
	 * @param idAseoAlo
	 *            Integer
	 * @return
	 */

	public void setIdAseoAlo(Integer idAseoAlo) {
		this.idAseoAlo = idAseoAlo;
	}

	/**
	 * Method 'getAb6323s00'.
	 *
	 * @return Ab6323s00
	 */

	public Alojamiento getAlojamiento() {
		return this.alojamiento;
	}

	/**
	 * Method 'setAb6323s00'.
	 *
	 * @param ab6323s00
	 *            Ab6323s00
	 * @return
	 */

	public void setAlojamiento(Alojamiento ab6323s00) {
		this.alojamiento = ab6323s00;
	}

	/**
	 * Method 'getAb6316s00'.
	 *
	 * @return Ab6316s00
	 */

	public TipoAseo getTipoAseo() {
		return this.tipoAseo;
	}

	/**
	 * Method 'setAb6316s00'.
	 *
	 * @param ab6316s00
	 *            Ab6316s00
	 * @return
	 */

	public void setTipoAseo(TipoAseo ab6316s00) {
		this.tipoAseo = ab6316s00;
	}

	/**
	 * Method 'getNumSuperficie'.
	 *
	 * @return BigDecimal
	 */

	public BigDecimal getNumSuperficie() {
		return this.numSuperficie;
	}

	/**
	 * Method 'setNumSuperficie'.
	 *
	 * @param numSuperficie
	 *            BigDecimal
	 * @return
	 */

	public void setNumSuperficie(BigDecimal numSuperficie) {
		this.numSuperficie = numSuperficie;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	public String getDescTipoAseo() {
		return descTipoAseo;
	}

	public void setDescTipoAseo(String descTipoAseo) {
		this.descTipoAseo = descTipoAseo;
	}

	/**
	 * @return the numAseoAlojamiento
	 */
	public Long getNumAseoAlojamiento() {
		return numAseoAlojamiento;
	}

	/**
	 * @param numAseoAlojamiento
	 *            the numAseoAlojamiento to set
	 */
	public void setNumAseoAlojamiento(Long numAseoAlojamiento) {
		this.numAseoAlojamiento = numAseoAlojamiento;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idAseoAlo: ").append(this.idAseoAlo).append(" ]");
		result.append(", [ numSuperficie: ").append(this.numSuperficie).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}
}
